Persist Session History
curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/executions/{execution_id}/session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://control-plane.kubiya.ai/api/v1/executions/{execution_id}/session"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://control-plane.kubiya.ai/api/v1/executions/{execution_id}/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Persist Session History
Persist session history from worker to Control Plane database.
Worker POSTs session messages after each run completion. This ensures history is available even when worker is offline.
Sessions are stored in database for fast loading by the UI streaming endpoint.
POST
/
api
/
v1
/
executions
/
{execution_id}
/
session
Persist Session History
Was this page helpful?
⌘I